﻿/*
* 2007-2014 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2014 PrestaShop SA
*  @version  Release: $Revision$
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

$(window).load(function(){
		$("#opt_product_autocomplete_input")
			.autocomplete("../modules/csblog/autocompleted/cs_ajax_products_list.php", {
				minChars: 1,
				autoFill: true,
				max:20,
				matchContains: true,
				mustMatch:true,
				scroll:false,
				cacheLength:0,
				formatItem: function(item) {
					return item[1] + " - " + item[0];
				}
		}).result(this.addProductIntoMenu);
		$('#opt_result_product_autocomplete').delegate('.delProducts', 'click', function(){
			self.delProducts($(this).attr('name'));
		});
		$("#opt_post_autocomplete_input")
			.autocomplete("../modules/csblog/autocompleted/cs_ajax_posts_list.php", {
				minChars: 1,
				autoFill: true,
				max:20,
				matchContains: true,
				mustMatch:true,
				scroll:false,
				cacheLength:0,
				formatItem: function(item) {
					return item[1] + " - " + item[0];
				}
		}).result(this.addPostIntoMenu);
		$('#opt_result_post_autocomplete').delegate('.delPosts', 'click', function(){
			self.delPosts($(this).attr('name'));
		});
});



this.addProductIntoMenu = function(event, data, formatted)
{
	if (data == null)
		return false;
	var productId = data[1];
	var productName = data[0];
	var $divResultAutocomplete = $('#opt_result_product_autocomplete');
	var $inputResultAutocompleteId = $('#id_related_products');
	var $inputResultAutocompleteName = $('#name_related_products');
	
	$divResultAutocomplete.html($divResultAutocomplete.html() +  '<div class="form-control-static"><button type="button" class="delProducts btn btn-default" name="' + productId + '"><i class="icon-remove text-danger"></i></button>&nbsp;'+ productName +'</div>');
	
	
	$inputResultAutocompleteName.val($inputResultAutocompleteName.val() + productName + '¤');
	$inputResultAutocompleteId.val($inputResultAutocompleteId.val() + productId + '-');
	$('#opt_product_autocomplete_input').val('');
	$('#opt_product_autocomplete_input').setOptions({
			extraParams: {
				excludeIds : self.getResultProductIds()
			}
		});
	return false;
}

this.addPostIntoMenu = function(event, data, formatted)
{
	if (data == null)
		return false;
	var postId = data[1];
	var postName = data[0];
	var $divResultAutocomplete = $('#opt_result_post_autocomplete');
	var $inputResultAutocompleteId = $('#id_related_posts');
	var $inputResultAutocompleteName = $('#name_related_posts');
	$divResultAutocomplete.html($divResultAutocomplete.html() +  '<div class="form-control-static"><button type="button" class="delPosts btn btn-default" name="' + postId + '"><i class="icon-remove text-danger"></i></button>&nbsp;'+ postName +'</div>');
	$inputResultAutocompleteName.val($inputResultAutocompleteName.val() + postName + '¤');
	$inputResultAutocompleteId.val($inputResultAutocompleteId.val() + postId + '-');
	$('#opt_post_autocomplete_input').val('');
	$('#opt_post_autocomplete_input').setOptions({
			extraParams: {
				excludeIds : self.getResultPostIds()
			}
		});
	return false;
}

this.getResultProductIds = function(data)
{
	if ($('#id_related_products').val() === undefined)
		return '';
	return $('#id_related_products').val().replace(/\-/g,',');
}

this.getResultPostIds = function(data)
{
	if ($('#id_related_posts').val() === undefined)
		return '';
	return $('#id_related_posts').val().replace(/\-/g,',');
}

this.delProducts = function(id)
{
	var div = getE('opt_result_product_autocomplete');
	var input = getE('id_related_products');
	var name = getE('name_related_products');

	/* Cut hidden fields in array */
	var inputCut = input.value.split('-');
	var nameCut = name.value.split('¤');

	if (inputCut.length != nameCut.length)
		return jAlert('Bad size');

	/* Reset all hidden fields */
	input.value = '';
	name.value = '';
	div.innerHTML = '';
	for (i in inputCut)
	{
		/* If empty, error, next */
		if (!inputCut[i] || !nameCut[i])
			continue ;

		/* Add to hidden fields no selected products OR add to select field selected product */
		if (inputCut[i] != id)
		{
			input.value += inputCut[i] + '-';
			name.value += nameCut[i] + '¤';
			div.innerHTML += '<div class="form-control-static"><button type="button" class="delProducts btn btn-default" name="' + inputCut[i] +'"><i class="icon-remove text-danger"></i></button>&nbsp;' + nameCut[i] + ' (id: ' +inputCut[i] + ') </div>';
			
		}
	}
	$('#opt_product_autocomplete_input').setOptions({
		extraParams: {excludeIds : self.getResultProductIds()}
	});
};

this.delPosts = function(id)
{
	var div = getE('opt_result_post_autocomplete');
	var input = getE('id_related_posts');
	var name = getE('name_related_posts');

	/* Cut hidden fields in array */
	var inputCut = input.value.split('-');
	var nameCut = name.value.split('¤');

	if (inputCut.length != nameCut.length)
		return jAlert('Bad size');

	/* Reset all hidden fields */
	input.value = '';
	name.value = '';
	div.innerHTML = '';
	for (i in inputCut)
	{
		/* If empty, error, next */
		if (!inputCut[i] || !nameCut[i])
			continue ;

		/* Add to hidden fields no selected products OR add to select field selected product */
		if (inputCut[i] != id)
		{
			input.value += inputCut[i] + '-';
			name.value += nameCut[i] + '¤';
			
			div.innerHTML += '<div class="form-control-static"><button type="button" class="delPosts btn btn-default" name="' + inputCut[i] +'"><i class="icon-remove text-danger"></i></button>&nbsp;' + nameCut[i] + ' (id: ' +inputCut[i] + ') </div>';
		}
	}
	$('#opt_post_autocomplete_input').setOptions({
		extraParams: {excludeIds : self.getResultPostIds()}
	});
};