{*
* 2007-2014 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2014 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{if isset($errorposts) && $errorposts}
	<div class="error">{l s='There is no post' mod='csblog'}</div>
{else}
<script type="text/javascript">
function submitform()
{
  document.csaddcomment.submit();
}
</script>
{if isset($post)}
	<div id="plpost">
	<h3 class="name_detail">{$post['name']|escape:'htmlall':'UTF-8'}</h3>
		{if isset($cstags) && $cstags}
			<div class="tag_blog">
				<span class="title_tag_blog">{l s='Tags:' mod='csblog'}</span>
				<div class="tag_list">
					{foreach from=$cstags item=tag name=cstags}
						<span><a href="{$tag.link}">{$tag.name|escape:'htmlall':'UTF-8'}{if !$smarty.foreach.cstags.last},{/if}</a></span>
					{/foreach}
				</div>
			</div>
		{/if}
		{if $cs_imipd_show != 'none'}
			{if isset($post['image']) && $post['image'] != ''}
				<div class="img_detailblog"><img class="" src="{$post['image']|escape:'htmlall':'UTF-8'}" title="{$post['name']}" alt="{$post['name']|escape:'htmlall':'UTF-8'}" />
				</div>
			{/if}
		{/if}
		
		<div class="plpost_content">{$post['description_short']|escape:'UTF-8'}</div>
		<div class="plpost_content">{$post['description']|escape:'UTF-8'}</div>
		
		
		<div class="frame-date-author clearfix">
		
		   <div class="post-date-add"><span class="icon-text date-add">{l s='Date created: ' mod='csblog'}</span><span>{$post['date_add']|escape:'htmlall':'UTF-8'}</span></div>
			
			<div class="post-author"><span class="icon-text author">{l s='Posted by: ' mod='csblog'}</span><span>{$post['author']|escape:'htmlall':'UTF-8'}</span></div>
			
			<div class="post-comment">
				<span class="comment-count">{$count_comment_total|intval}</span>
				<span>{if $count_comment_total > 1} {l s='Comments' mod='csblog'}{/if}{if $count_comment_total <= 1} {l s='Comment' mod='csblog'}{/if} </span>
			</div>
			
		</div>
		
	</div>
	
	<!--related posts-->
	{if isset($allow_related_post)}
		<div class="related_posts blog_block">
			<h3 class="title"><span>{l s='Latest Articles' mod='csblog'}</span></h3>
			{if isset($related_posts) && $related_posts }
				<ul class="blog_content">
				{foreach from=$related_posts item=related_post name=related_posts}
					<li class="item-related-post">
						{if isset($related_post['image']) && $related_post['image'] != ''}
							<div class="post_image"><a href="{$csLink->getLinkPostDetail($related_post['id_cs_blog_post'],$related_post['link_rewrite'],$related_post['id_cs_blog_category'])|escape:'htmlall':'UTF-8'}" title="{$related_post['name']|escape:'htmlall':'UTF-8'}"><img src="{$related_post['image']|escape:'htmlall':'UTF-8'}" alt="{$related_post['name']|escape:'htmlall':'UTF-8'}" /></a></div>
						{/if}
						
						<div class="post-name"><h3><a href="{$csLink->getLinkPostDetail($related_post['id_cs_blog_post'],$related_post['link_rewrite'],$related_post['id_cs_blog_category'])|escape:'htmlall':'UTF-8'}" title="{$related_post['name']|escape:'htmlall':'UTF-8'}">{$related_post['name']|escape:'htmlall':'UTF-8'}</a></h3></div>
						
						<div class="post-description">{$related_post['description_short']|strip_tags|truncate:150}</div>
						<div class="frame-date-author clearfix">
							<div class="post-date-add"><span class="icon-text date-add">{l s='Date created: ' mod='csblog'}</span><span>{$related_post['date_add']|escape:'htmlall':'UTF-8'}</span></div>
							
							<div class="post-author">
								<span class="icon-text author">{l s='Posted by: ' mod='csblog'}</span>
								<span class="name">{$related_post['author']|escape:'htmlall':'UTF-8'}</span>
							</div>
						</div>
						
					</li>
				{/foreach}
				</ul>
			{else}
				<p class="alert alert-warning">{l s='There is no related article' mod='csblog'}</p>
			{/if}
		</div>
	{/if}
	<!--related products-->
	{if isset($allow_related_product)}
	<div class="out_related_products blog_block">
	<h3 class="title" ><span>{l s='Related products' mod='csblog'}</span></h3>
		<div class="related_products">
			{if isset($related_products_result) && $related_products_result}
			<div class="row">
				<div id="cs_section_product_list" class="cs_section_product_grid cs-container-list">
				{foreach from=$related_products_result item=related_product name=related_products}
					<div class="cs-item">
						{include file="$tpl_dir./product-section-cs.tpl" product=$related_product image_size='home_default'}
					</div>
				{/foreach}
				</div>
			</div>
			{else}
				<p class="alert alert-warning">{l s='There is no related product' mod='csblog'}</p>
			{/if}
		</div>
	</div>
	{/if} <!--end related product-->
		<!-- display comment list -->
		{if $count_comment_total>0}
		<div class="blog-comment-list blog_block">
			<h3 class="title"><span>{if $count_comment_total <= 1} {l s='Comment' mod='csblog'}{/if}{if $count_comment_total > 1} {l s='Comments' mod='csblog'}{/if}</span></h3>
				{foreach from=$comments item=comment name=cscomments}
					<div class="comment-item {if $smarty.foreach.cscomments.last}last{/if}">
						<div class="frame-date-author clearfix">
							<div class="post-comment">
							<span class="commenter">{l s='Comment by ' mod='csblog'}</span><span class="comment-count">{$comment['author_name']|escape:'htmlall':'UTF-8'} </span></div>
						</div>						
						<div class="comment-content">{$comment['content']|escape:'htmlall':'UTF-8'}</div>
						<div class="frame-date-author clearfix">							
							<div class="post-date-add"><span class="icon-text date-add">{l s='Date commented: ' mod='csblog'}</span><span class="name">{$comment['date_add']|escape:'htmlall':'UTF-8'}</span></div>
						</div>
					</div>
				{/foreach}
			{if $count_comment_total > $count_comment_show && !isset($viewall)}
			<a href="{$csLink->getLinkPostDetail($post['id_cs_blog_post'],$post['link_rewrite'],$post['id_cs_blog_category'])|escape:'htmlall':'UTF-8'}{if $url_rewrite == 1}?{else}&{/if}viewall">{l s='view all' mod='csblog'}</a>
			{elseif isset($viewall)}
				<a href="{$csLink->getLinkPostDetail($post['id_cs_blog_post'],$post['link_rewrite'],$post['id_cs_blog_category'])|escape:'htmlall':'UTF-8'}">{l s='Collapse' mod='csblog'}</a>
			{/if}
		</div>
		{/if}
		<!-- /display comment list -->
	<!-- display form comment-->
	{if $display_form_comment == 1}
		<div class="pl_comment_form blog_block">
			<form action="{$csLink->getLinkPostDetail($post['id_cs_blog_post'],$post['link_rewrite'],$post['id_cs_blog_category'])|escape:'htmlall':'UTF-8'}" name="csaddcomment" method="post" class="std">
				<fieldset>
					<h3 class="title"><span>{l s='Leave your comment' mod='csblog'}</span></h3>
					<div class="blog_content">
					<div class="out_left">
					{if isset($error)}
						<div class="alert alert-danger">
							{l s='There ' mod='csblog'}{if $error|@count <= 1} {l s='is ' mod='csblog'} {else} {l s='are ' mod='csblog'}{/if}{$error|@count} {if $error|@count <= 1} {l s='error ' mod='csblog'} {else} {l s='errors ' mod='csblog'}{/if}
							<ol>
								{if isset($error['author_name'])}<li>{$error['author_name']|escape:'htmlall':'UTF-8'}</li>{/if}
								{if isset($error['author_email'])}<li>{$error['author_email']|escape:'htmlall':'UTF-8'}</li>{/if}
								{if isset($error['title'])}<li>{$error['title']|escape:'htmlall':'UTF-8'}</li>{/if}
								{if isset($error['captcha'])}<li>{$error['captcha']|escape:'htmlall':'UTF-8'}</li>{/if}
								{if isset($error['content'])}<li>{$error['content']|escape:'htmlall':'UTF-8'}</li>{/if}
							</ol>
						</div>
					{elseif isset($success)}
						<div class="success">
							<p class="alert alert-success">
							{l s='Comment is success!' mod='csblog'}
							</p>
						</div>
					{/if}
					
					{if $logged}
							<p class="text form-group">
								<label for="name">{l s='Your Name' mod='csblog'} <em class="pl_requie">*</em></label>
								<input class="plinput form-control" type="text" name="author_name" value="{$cookie->customer_firstname|escape:'htmlall':'UTF-8'} {$cookie->customer_lastname|escape:'htmlall':'UTF-8'}"/>
							</p>
							<p class="text form-group">
								<label for="email">{l s='Email' mod='csblog'} <em class="pl_requie">*</em></label>
								<input class="plinput form-control" type="text" name="author_email" value="{$cookie->email|escape:'htmlall':'UTF-8'}"/> 
							</p>
					{else}
						<p class="text form-group">
							<label for="name">{l s='Your Name' mod='csblog'} <em class="pl_requie">*</em></label>
							<input class="plinput form-control" type="text" name="author_name" value=""/>
						</p>
						<p class="text form-group">
							<label for="email">{l s='Email' mod='csblog'} <em class="pl_requie">*</em></label>
							<input class="plinput form-control" type="text" name="author_email" value=""/> 
						</p>
					{/if}
					<input type="hidden" name="id_cs_blog_post" value="{$post['id_cs_blog_post']|escape:'htmlall':'UTF-8'}"/>
					<input type="hidden" name="id_shop" value="{$id_shop|intval}"/>
					<p class="text form-group">
							<label for="email">{l s='Title' mod='csblog'} <em class="pl_requie">*</em></label>
							<input class="plinput form-control" type="text" name="title" value=""/> 
					</p>
					{if $using_captcha == 1}
					<p class="text captcha form-group">
							<label for="email">{l s='Enter the code' mod='csblog'} <em class="pl_requie">*</em></label>
							<input class="plinput form-control" type="text" name="captcha"  value=""/>
					</p>
					<p>
						<img id="captcha" border="0px" src="{$capchatpath|escape:'htmlall':'UTF-8'}captcha.php" />
							<img class="img_load" src="{$capchatpath|escape:'htmlall':'UTF-8'}img/reload-16.png" id="reloadbtn_cid_483" alt="Reload" title="Reload image" onclick="document.getElementById('captcha').src='{$capchatpath|escape:'htmlall':'UTF-8'}captcha.php?'+Math.random();">
					</p>
					{/if}
					</div>
					<div class="out_right">
					<input type="hidden" name="active" value="{if $validate_comment ==1}0{else}1{/if}"/>
					<p class="textarea form-group">
						<label for="comment">{l s='Comment' mod='csblog'} <em class="pl_requie">*</em></label>
						<textarea class ="rte form-control" id="elm1" name="content" cols="60" rows="6"></textarea>
					</p>
					
					<p class="submit">
						<a href="javascript:submitform()" class="exclusive_large btn-default">
							{l s='Submit' mod='csblog'}
						</a>
					</p>
					
					<div class="plclear">&nbsp;</div>	
					<input type="hidden" name="cssubmitcomment" value="true" />
					</div>
					</div>
				</fieldset>
			</form>
		</div>
	{/if}<!-- end display form comment-->
{/if}<!--end isset post-->
{/if}
<!--end content-->
